|  | ## Cheshire3 Object Model: Class ProximityArrayIndex

Module index :: Class ProximityArrayIndex

## Class ProximityArrayIndex
source code

Object Tree:

               object --+
                        |
    configParser.C3Object --+
                            |
            baseObjects.Index --+
                                |
                      SimpleIndex --+
                                    |
                           ArrayIndex --+
                                        |
                                       ProximityArrayIndex

Instance Methods

serialise_terms(self, termid, terms, recs=0, occs=0)
deserialise_terms(self, data, prox=1)
construct_resultSet(self, session, terms, queryHash={})
Inherited from `ArrayIndex`: `__init__`, `merge_terms`, `search` Inherited from `SimpleIndex`: `begin_indexing`, `commit_indexing`, `construct_item`, `delete_record`, `extract_data`, `index_record`, `scan`, `store_terms` Inherited from `SimpleIndex` (private): `_handleConfigNode`, `_mergeHash`, `_processChain`, `_processRecord` Inherited from `baseObjects.Index`: `sort` Inherited from `configParser.C3Object`: `auth_function`, `get_config`, `get_default`, `get_object`, `get_path`, `get_setting`, `log_function`, `unauth_function`, `unlog_function` Inherited from `configParser.C3Object` (private): `_getDomFromFile`, `_parseIncludes`, `_recurseSubConfigs`, `_verifyDefault`, `_verifyOption`, `_verifySetting` Inherited from `object`: `__delattr__`, `__getattribute__`, `__hash__`, `__new__`, `__reduce__`, `__reduce_ex__`, `__repr__`, `__setattr__`, `__str__`

Class Variables

Inherited from `SimpleIndex`: `currentFullPath`, `currentPath`, `debug`, `indexingData`, `indexingTerm`, `sources`, `storeOrig`, `xPathAllAbsolute`, `xPathAttributesRequired`, `xPathsNormalized` Inherited from `baseObjects.Index`: `indexStore` Inherited from `configParser.C3Object`: `configStore`, `defaults`, `functionLogger`, `id`, `name`, `objectType`, `objects`, `parent`, `paths`, `permissionHandlers`, `settings`, `subConfigs`, `unresolvedObjects` Inherited from `configParser.C3Object` (private): `_includeConfigStores`, `_objectRefs` Inherited from `object`: `__class__`

Method Details

### serialise_terms(self, termid, terms, recs=0, occs=0) | source code
Overrides: ArrayIndex.serialise_terms

### deserialise_terms(self, data, prox=1) | source code
Overrides: ArrayIndex.deserialise_terms

### construct_resultSet(self, session, terms, queryHash={}) | source code
Overrides: ArrayIndex.construct_resultSet